<?php
/**
 * This is a class file used for Employee operations.
 *
 * PHP version 5
 *
 * @category Admin_Tool
 * @package  Admin_Tool
 * @author   Aum Infosys <admin@auminfosys.com>
 * @license  Aum Infosys
 * @version  CVS:1.0.1
 * @link     http://auminfosys.com/
 * @filesource
 */

/**
 * This is a class named followUpMgmt.
 *
 * @category Employee Management System
 * @package  Employee Management System
 * @author   Aum Infosys <admin@auminfosys.com>
 * @license  Aum Infosys
 * @version  Release: 1.0.1
 * @link     http://auminfosys.com/
 *
 */

class followUpMgmt
{
    /**
     * @var public $followup_id This is the Employee Id feteched from the database(employee_master).
     */
    public $followup_id;
	
	/**
     * @var public $product_ids This is the Employee Basic salary.
     */
	public $product_ids;
	public $leadfinal;
	  	
	
	public $inquiry_id;
	/**
     * @var public $comment This is the Employee Basic salary.
     */
	public $comment;
	/**
     * @var public $followupdate This is the Employee birthdate.
     */
	public $followupdate;

	/**
     * @var public $employee_schooljoindate This is the Employee school join date.
     */
	public $followuptime;

	/**
     * @var public $company_id This is the school id.
     */
	public $company_id;
	
	/**
     * @var public $login_id This is the Employee login id.
     */
	public $createdby;
	
	/**
     * @var public $createdon This is the Employee createdon.
     */
	public $createdon;
	
	/**
     * Constructor to inialize inquiry_count to zero
     *
     */
    function followUpMgmt()
    {
        $this->bullet = "<font size='2'>&raquo;</font>";
        $this->bullet = htmlentities($this->bullet);
        $this->inquiry_count=0;
    }

    
	/**
     * This is a function for getting the all records with/without condition
     *
     * @param integer $limit This is the limit of number or records.
     * @param integer $start This is the starting location of records.
     * @param string  $condition This is the condition for fetching records.	 
     * @param string  $order_field This is the field for fetching records orderby.	 
     * @param string  $order_type This is the order direction to fetch records orderby.	 	 
     *
     * @return Mix Result Set
     */
    function getAllRecords($limit=0,$start=0,$condition="",$order_field="",$order_type="")
    {
		$this->inquiry_count=0;
		
		$qry = "SELECT * from
				lms_followup			  
			  	WHERE company_id   = '".$_SESSION["cCompany_id"]."' "; 
					   					   				
		if ($condition != "" ) {
            $qry.= $condition;
        }
		
		if ($order_field !="" && $order_type !="") {
            $qry.= " order by $order_field $order_type";
        }

        if (intval($limit) > 0 && intval($start) >=0) {
            $qry.= " Limit $start , $limit";
        }
		
		//print $qry;
		$out=dbQuery($qry);
		
        if (dbRows($out)>0) {
            $this->inquiry_count=dbRows($out);
			return $out;							
        }
		return $out;		
    }
		
		
		
	

    /**
     * This is a function for adding new record for Employee.
     *
     * @return void The redirect file name and the message are passed.
     *
     */
    function add()
    {
		global $SQLDateFormat;
		
		$Qry1 = "";
		$Qry1 .= "leadfinal='"	  .Escape($this->leadfinal)."',";
		$Qry1 .= "inquiry_id='"	  .Escape($this->inquiry_id)."',";
		$Qry1 .= "followupdate=    STR_TO_DATE('".Escape($this->followupdate)."','$SQLDateFormat'),";			
		$Qry1 .= "followuptime='"	  .Escape($this->followuptime)."',";
		$Qry1 .= "comment='"	 .replaceHtmlEditor(Escape($this->comment))."',";
		$Qry1 .= "product_ids='"	  .Escape($this->product_ids)."',";

		$Qry1 .= "inquery_status='"	  .Escape($this->inquery_status)."',";

		$Qry1 .= "company_id='"	  .Escape($_SESSION['cCompany_id'])."',";		
		$Qry1 .= "createdby='"	      .Escape($_SESSION['cUserId'])."',";			
		$Qry1 .= "createdon='"	      .Escape(date('Y-m-d h:i:s'))."',";
					
		if ($Qry1 != "") {
			$Qry1 = substr($Qry1, 0, strlen($Qry1)-1);
			$qry = "insert into lms_followup set ". $Qry1 ." ";
			//echo $qry;		
			dbQuery($qry);
			$this->followup_id=dbInsertedId();
		}
	}

    /**
     * This is a function for editing a Employee record.
     *
     * @return void The redirect file name and the message are passed.
     *
     */
    function edit()
    {
			global $SQLDateFormat;
			$Qry1 = "";
			
			$Qry1 .= "leadfinal='"	  .Escape($this->leadfinal)."',";
			$Qry1 .= "inquiry_id='"	  .Escape($this->inquiry_id)."',";
			$Qry1 .= "followupdate=    STR_TO_DATE('".Escape($this->followupdate)."','$SQLDateFormat'),";			
			$Qry1 .= "followuptime='"	  .Escape($this->followuptime)."',";
			$Qry1 .= "comment='"	 .replaceHtmlEditor(Escape($this->comment))."',";
			$Qry1 .= "product_ids='"	  .Escape($this->product_ids)."',";
			$Qry1 .= "company_id='"	  .Escape($_SESSION['cCompany_id'])."',";		
				$Qry1 .= "inquery_status='"	  .Escape($this->inquery_status)."',";
		
			$Qry1 .= "createdby='"	      .Escape($_SESSION['cUserId'])."',";			
			$Qry1 .= "createdon='"	      .Escape(date('Y-m-d h:i:s'))."',";
					
            if ($Qry1 != "") {
                $Qry1 = substr($Qry1, 0, strlen($Qry1)-1);
                $qry = "update lms_followup set " . $Qry1 . " where followup_id=".$this->followup_id. " and company_id = '".$_SESSION['cCompany_id']."' ";
                dbQuery($qry);
            }
	}
	
	/**
     * This is a function for deleting the Employee record.
     *
     * @return void The redirect file name and the message are passed.
     *
     */
    function delete()
    {		
		$qry = "delete from  lms_followup 
             	where followup_id in (".$this->followup_id.") 
				and company_id='".$_SESSION["cCompany_id"]."'";
        dbQuery($qry);
   	}
	
	
}
?>